An endpoint associates ledger addresses with human-readable aliases to keep track of whitelisted and blacklisted addresses. It is also used to register smart contract addresses and possibly associate an ABI to them.
An endpoint may be used as a destination to a transaction order, therefore acting as a form of address book entry. Harmonize ensures a secure mapping of the endpoint to its underlying address when preparing the transaction for execution.
An endpoint may also be used to validate the destination of a transaction order within a policy and to trigger specific approval workflows depending on the attributes of the endpoint. For instance, a policy may enforce a simplified approval workflow when the destination endpoint is marked as whitelisted, or may require an exceptional set of approvers when it is marked as blacklisted.
Lastly, endpoints may also be used to attach meta information to an address. This is the case of smart contract addresses, for instance, which may be attached to the interface, or ABI, of the contract, such that the methods and properties of the contract are known to the system.
The locking of an endpoint prevents its use in any context.
- Mock serverhttps://docs.ripple.com/_mock/products/custody/devbox/v1/domains/{domainId}/endpoints
curl -i -X GET \
'https://docs.ripple.com/_mock/products/custody/devbox/v1/domains/{domainId}/endpoints?limit=1&startingAfter=497f6eca-6276-4993-bfeb-53cbbbba6f08&sortBy=id&sortOrder=ASC&ledgerId=45671234&alias=alias1&address=someLedgerAddress&metadata.createdBy=fdeeeb4b-f987-4ec4-9880-1eb280581d49&metadata.lastModifiedBy=90c4cf2f-ebe0-4bf7-91cd-4c45cd02277b&metadata.description=description1&metadata.customProperties=key1%3Avalue1%2Ckey2%3Avalue2&lock=Locked%2CUnlocked' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "items": [ { … } ], "count": 0, "currentStartingAfter": "string", "nextStartingAfter": "string" }